# QPushButton Class Reference

### [com.trolltech.qt.gui package]

Inherits QAbstractButton.

### Constructor

- void QPushButton(QWidget parent)
- void QPushButton(QIcon icon, String text, QWidget parent)
- void QPushButton(String text, QWidget parent)

### Constructor Properties

- prototype: The QPushButton prototype object

### Prototype Object Properties

The QPushButton prototype object inherits properties from the QAbstractButton prototype object and also has the following properties.

- QMenu menu()
- QSize minimumSizeHint()
- void setMenu(QMenu menu)
- QSize sizeHint()

### Instance Properties

QPushButton objects inherit properties from the QPushButton prototype object and also have the following properties.

- autoDefault
- default
- flat